Bug 833139

Summary: Cobbler stopped to work because of Python upgrade from 2.7.2 to 2.7.3
Product: [Fedora] Fedora Reporter: Volodymyr M. Lisivka <vlisivka>
Component: cobblerAssignee: James C. <jimi>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: awood, jimi, jpazdziora, scott, vanmeeuwen+fedora, vlisivka
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:03:24 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Volodymyr M. Lisivka 2012-06-18 13:13:34 EDT
Description of problem:

Cobbler does not work after python upgrade.


How reproducible:

Always after upgrade to latest python.


Steps to Reproduce:
1. Install stock Fedora without updates.
2. Configure cobbler and check is it works.
3. Install updates.
  
Actual results:

Cobbler fails due to mismatch of Python version. Python bersion 2.7.2 is expected, but python 2.7.3 is installed.

Command "cobbler check" produces following output:

httpd does not appear to be running and proxying cobbler

Expected results:

Command "cobbler check" should work as usual.

Additional info:

Apache error_log :


[Mon Jun 18 20:10:37 2012] [error] python_init: Python version mismatch, expected '2.7.2', found '2.7.3'.
[Mon Jun 18 20:10:37 2012] [error] python_init: Python executable found '/usr/bin/python'.
[Mon Jun 18 20:10:37 2012] [error] python_init: Python path being used '/usr/lib64/python27.zip:/usr/lib64/python2.7/:/usr/lib64/python2.7/plat-linux2:/usr/lib64/python2.7/lib-tk:/usr/lib64/python2.7/lib-old:/usr/lib64/python2.7/lib-dynload'.
[Mon Jun 18 20:10:37 2012] [notice] mod_python: Creating 4 session mutexes based on 256 max processes and 0 max threads.
[Mon Jun 18 20:10:37 2012] [notice] mod_python: using mutex_directory /tmp 
[Mon Jun 18 20:10:37 2012] [notice] SSL FIPS mode disabled
[Mon Jun 18 20:10:37 2012] [warn] mod_wsgi: Compiled for Python/2.7.2.
[Mon Jun 18 20:10:37 2012] [warn] mod_wsgi: Runtime using Python/2.7.3.
[Mon Jun 18 20:10:37 2012] [notice] Apache/2.2.22 (Unix) DAV/2 mod_auth_kerb/5.4 PHP/5.3.13 mod_python/3.3.1 Python/2.7.3 mod_ssl/2.2.22 OpenSSL/1.0.0j-fips mod_wsgi/3.3 configured -- resuming normal operations



Workaround: downgrade python and python-libs to version 2.7.2 .
Comment 1 James C. 2012-07-10 23:37:10 EDT
How did you upgrade python?
Comment 2 Volodymyr M. Lisivka 2012-07-11 07:11:50 EDT
I upgrade my system using "yum update". I addition to Fedora repo, I use packages from Russian Fedora Remix repo and from RPMFussion repo, which are not related to that issue.

Currently, I cannot reproduce problem after installing of latest updates using yum.
Comment 3 Jan Pazdziora 2012-07-31 07:29:26 EDT
I've filed bug 844676 as I believe it's actually mod_python, not cobbler itself that produces the error lines.
Comment 4 Fedora End Of Life 2013-01-16 09:04:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 10:03:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.